#sortOptions{
  display: none;
  margin:0;
  position: absolute;
  flex-direction: column;
  background-color: #f9f9f9;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}
#sortFilter:hover #sortOptions{
  display: block;
}
/* if force-closed → override hover */
#sortFilter.force-hide:hover #sortOptions {
  display: none;
}
#sortFilter{
  /* width: 96vw; */
  margin-right: 1.3vw;
  margin-top: 1vh;
}
#sortButton{
  width: 12.6vw;
  height: 3vh;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}
#sortOptions{
  list-style-type: none;
  padding-inline-start: 0;
  text-align: center;
}
.sort-option{
  width: 11.8vw;
  margin:0;
  padding: 12px 1vw;
  background-color: #f9f9f9;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  border: 1px solid black;
  z-index: 1;
  cursor: pointer;
}
.sort-option:hover{
  background-color: #ede3e3;
  color:rgb(17, 16, 16);
}

#sortContainer{
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: flex-end;
  width: 100vw;
}

@media (min-width: 700px) and (max-width: 810px){
  #sortButton{
    width: 14.5vw;
  }
  .sort-option{
    width: 13.7vw;
  }
}

@media (min-width: 600px) and (max-width: 700px){
  #sortButton{
    width: 16.9vw;
    margin-right: 1.1vw;
  }
  .sort-option{
    width: 16.1vw;
  }
}
@media (min-width: 500px) and (max-width: 600px){
  #sortButton{
    width: 20.5vw;
    margin-right: 1.2vw;
  }
  .sort-option{
    width: 19.7vw;
  }
}
@media (min-width: 400px) and (max-width: 500px){
  #sortButton{
    width: 25.5vw;
    margin-right: 2.8vw;
  }
  .sort-option{
    width: 24.7vw;
  }  
}
@media (max-width: 400px){
  #sortButton{
    width: 39vw;
    margin-right: 3vw;
  }
  .sort-option{
    width: 38.2vw;
  }  
}